查询eBay在线商品列表
POST
/basicOpen/multiplatform/ebay/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatform/ebay/list | HTTPS | POST | 1 |
请求参数
principalUidsarray<any>offsetintegerlengthintegerstore_idsarray<any>site_codearray<any>listing_statusarray<any>auto_restocksarray<any>listing_typearray<any>search_fieldintegersearch_single_valuestringlisting_time_fieldintegerlisting_start_timestringlisting_end_timestring请求示例
{
"principalUids": [
10001,
10002
],
"store_ids": [
"110000000018003001"
],
"site_code": [
"10003-AU",
"10003-AT"
],
"listing_status": [
1
],
"auto_restocks": [
1,
2
],
"listing_type": [
1,
2
],
"offset": 0,
"length": 50,
"search_field": 1,
"search_single_value": "test",
"listing_time_field": 1,
"listing_start_time": "2024-08-14",
"listing_end_time": "2024-09-13"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
item_urlstring必填picture_urlstring必填item_idstring必填mskustring必填attributestring必填titlestring必填local_namestring必填local_skustring必填listing_statusinteger必填listing_status_namestring必填store_idstring必填store_namestring必填site_codestring必填site_namestring必填listing_typeinteger必填listing_type_namestring必填pricestring必填start_pricestring必填accept_pricestring必填quantityinteger必填auto_restockstring必填product_auto_restock_responseobject必填隐藏子属性
variantUniqueIdstring必填typeinteger必填typeNamestring必填syncIntervalTimeinteger必填syncIntervalTimeNamestring必填autoRestockinteger必填autoRestockNamestring必填disableReasoninteger必填disableReasonNamestring必填autoDisableReasonstring必填restockQuantitystring必填restockWarehouseIdstring必填locationstring必填dispatch_time_maxinteger必填listing_start_timestring必填listing_end_timestring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583.181.17262202316017601",
"response_time": "2024-09-13 17:37:12",
"data": [
{
"item_url": "https://www.ebay.com/itm/Cotton-Short-Sleeve-T-shirt-Boys-/353943065214",
"item_id": "123943065211",
"msku": "",
"attribute": "Black/Regular/S",
"title": "Cotton Short Sleeve T shirt for Boys",
"local_name": null,
"local_sku": null,
"listing_status": 1,
"listing_status_name": "在售",
"store_id": "110000000018003001",
"store_name": "test18&自创ebay测试店铺1号11",
"site_code": "10003-US",
"site_name": "美国",
"listing_type": 3,
"listing_type_name": "多属性",
"price": "0.99",
"start_price": "0.00",
"accept_price": "0.00",
"quantity": 1,
"auto_restock": null,
"product_auto_restock_response": {
"variantUniqueId": "901172147307683840",
"type": 1,
"typeName": "固定值",
"syncIntervalTime": 1,
"syncIntervalTimeName": "30分钟",
"autoRestock": 2,
"autoRestockName": "停用",
"disableReason": 1,
"disableReasonName": "手动停用",
"autoDisableReason": "",
"restockQuantity": "10",
"restockWarehouseId": "0"
},
"location": "Shenzhen",
"dispatch_time_max": 20,
"listing_start_time": "2022-03-07 14:41:01",
"listing_end_time": "2022-04-03 14:41:01"
}
],
"total": 141
}